> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipstake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an account



## OpenAPI

````yaml /openapi.json get /accounts/{account_id}
openapi: 3.1.0
info:
  title: Clipstake API
  description: Instagram media tracking, audience geography and demographics, as an API.
  version: 0.0.1
servers:
  - url: https://api.clipstake.com/v1
security: []
paths:
  /accounts/{account_id}:
    get:
      tags:
        - Accounts
      summary: Get an account
      operationId: accounts-get
      parameters:
        - in: path
          name: account_id
          schema:
            type: string
            description: >-
              Account ID. Format: acct_ followed by 24 lowercase hexadecimal
              characters.
            example: acct_2b4b06ac31e358b242694941
          required: true
          description: >-
            Account ID. Format: acct_ followed by 24 lowercase hexadecimal
            characters.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    pattern: ^acct_[0-9a-f]{24}$
                  platform:
                    type: string
                    description: 'Platform identifier. Known value: instagram.'
                  platform_user_id:
                    type: string
                  username:
                    type: string
                  external_user_id:
                    type: string
                  connection:
                    anyOf:
                      - type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - active
                              - needs_reauth
                              - revoked
                        required:
                          - status
                        additionalProperties: false
                      - type: 'null'
                  tracking:
                    anyOf:
                      - type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - active
                              - parked
                              - stopped
                          parked_reason:
                            description: 'Known values: token_invalid, read_failed.'
                            type:
                              - string
                              - 'null'
                          next_read_at:
                            anyOf:
                              - type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                              - type: 'null'
                        required:
                          - status
                          - parked_reason
                          - next_read_at
                        additionalProperties: false
                      - type: 'null'
                  capabilities:
                    type: array
                    items:
                      type: string
                    description: >-
                      Data this kind of connection can read. It does not prove
                      that data exists for this account: check the data's own
                      captured_at. Known values: media_stats, media_comments,
                      media_demographics, account_insights, account_audience.
                  metadata:
                    type: object
                    propertyNames:
                      type: string
                      minLength: 1
                      maxLength: 40
                    additionalProperties:
                      type: string
                      maxLength: 500
                  latest_as_of:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                      - type: 'null'
                  connected_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                required:
                  - id
                  - platform
                  - platform_user_id
                  - username
                  - external_user_id
                  - connection
                  - tracking
                  - capabilities
                  - metadata
                  - connected_at
                  - created_at
                additionalProperties: false
              example:
                id: acct_3f9c0a1b2c3d4e5f60718293
                platform: instagram
                platform_user_id: '17841400008460056'
                username: acme.studio
                external_user_id: customer_8f3a2c19
                connection:
                  status: active
                tracking:
                  status: active
                  parked_reason: null
                  next_read_at: '2026-09-15T02:00:00.000Z'
                capabilities:
                  - media_stats
                  - media_comments
                  - media_demographics
                  - account_insights
                  - account_audience
                metadata:
                  segment: creator
                latest_as_of: '2026-09-14T00:00:00.000Z'
                connected_at: '2026-09-10T14:22:18.000Z'
                created_at: '2026-09-10T14:22:18.000Z'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
              example:
                error:
                  code: invalid_request
                  message: The request body or parameters are invalid.
                  request_id: req_01K5A7N8QY2M4C6V9X3J
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
              example:
                error:
                  code: unauthorized
                  message: Provide a valid API key.
                  request_id: req_01K5A7P2CH8T6R4W9M1B
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
              example:
                error:
                  code: not_found
                  message: The requested resource was not found.
                  request_id: req_01K5A7R4WM9C2N6B8X3D
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
              example:
                error:
                  code: internal_error
                  message: An unexpected error occurred.
                  request_id: req_01K5A7S6FQ3V8H2N9C4M
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Bad request
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Bad request error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Bad request
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Unauthorized
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Unauthorized error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Unauthorized
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````